package com.cloudcross.ssp.common.consts;

/**
 * 
 * 创建人：rongying
 * 创建时间：2015.12.11
 * 校验字段枚举类。
 * 
 */
 
public enum FieldValidate {
	
	/**
	 * 传入的参数判断
	 **/
	CHECK_DSPID_NOT_EMPTY(100, "dspId不能为空"),
	
	CHECK_TOKEN_NOT_EMPTY(100, "token不能为空"),
	
	CHECK_ADVERTISERID_NOT_EMPTY(101, "广告主id不能为空"),
	
	CHECK_BANNERID_NOT_EMPTY(102, "创意id不能为空"),
	
	CHECK_ADVERTISERIDS_NOT_EMPTY(101, "advertiserIds不能为空"),
	
	CHECK_BANNERIDS_NOT_EMPTY(102, "bannerIds不能为空"),
	
	CHECK_TOKEN_NOT_CONFORM(103, "令牌身份不符合"),
	
	CHECK_PARAMDATA_EMPTY(104, "传入的参数值为空"),
	
	CHECK_PARAMDATA_FORMAT_ERROR(105, "传入的参数格式不是json格式"),
	
	CHECK_PARAMDATA_ADD_SUCCESS(200, "插入成功"),
	
	CHECK_PARAMDATA_ADD_REPEAT(2001, "插入重复"),
	
	CHECK_PARAMDATA_UPDATE_SUCCESS(200, "编辑成功"),
	
	CHECK_PARAMDATA_UPDATE_REPEAT(2001, "编辑重复"),
	
	/**
	 * 字段属性校验
	 **/
	FIELD_NOT_EMPTY(201, "字段属性为必填"),
	
	FIELD_FORMAT_ERROR(202, "字段属性类型不符合"),
	
	FIELD_LENGTH_OVER(203, "字段属性长度超出了最大值");
	
	public final int code;
	
	public final String value;

	private FieldValidate(int code, String value) {
		this.code = code;
		this.value = value;
	}
	
}
